Package org.apache.sysds.runtime.transform.encode

## Class CompressedEncode

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.CompressedEncode

    public class CompressedEncode
    extends Object

### Field Summary

Fields
`static int` `ROW_PARALLELIZATION_THRESHOLD` Row parallelization threshold for parallel creation of AMapToData for compression

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `encode​(MultiColumnEncoder enc, FrameBlock in, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROW_PARALLELIZATION_THRESHOLD

    public static int ROW_PARALLELIZATION_THRESHOLD

Row parallelization threshold for parallel creation of AMapToData for compression

### Method Detail

#### encode

    public static MatrixBlock encode​(MultiColumnEncoder enc,
                                     FrameBlock in,
                                     int k)
                              throws Exception

Throws:
  `Exception`